<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
class Pole extends Model
{
    //
   // use HasUuids;
    use HasFactory;
    protected $fillable = ['id','libellear','libellefr','inspecteur_id'];

    public function inspecteur(): BelongsTo
    {
        return $this->belongsTo(Inspecteur::class);
    }

    public function regions(): HasMany
    {
        return $this->hasMany(Region::class);
    }

}
